div.form-row
  div.form-group.col-12.col-lg-6
    div.form-row.border-bottom-secondary.mb-2
      div.form-group.col-12
        h5.card-title.mb-0.text-gray-800
          span.fas.fa-boxes.mr-2
          span Clasificaciones
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Clase
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-sitemap
          select([(ngModel)]="tClasificacion1Actual",
                (change)="Seleccionar_Clasificacion1()",
                size-select="sm").ControlInput--Select
            option(*ngFor="let tClasificacion1 of tClasificaciones1",
              [ngValue]="tClasificacion1")  [ {{tClasificacion1.Codclasificacion1}} ] {{tClasificacion1.Descripcion}}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalClasificacion1()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Grupo
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-sitemap
          select([(ngModel)]="tClasificacion2Actual",
                  (change)="Seleccionar_Clasificacion2()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tClasificacion2 of tClasificacion1Actual.LClasificacion2",
                    [ngValue]="tClasificacion2")  [ {{tClasificacion2.Codclasificacion2}} ] {{ tClasificacion2.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalClasificacion2()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Categoria
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-sitemap
          select([(ngModel)]="tClasificacion3Actual",
                      (change)="Seleccionar_Clasificacion3()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tClasificacion3 of tClasificacion2Actual.LClasificacion3",
                    [ngValue]="tClasificacion3")  [ {{tClasificacion3.Codclasificacion3}} ] {{tClasificacion3.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalClasificacion3()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Subcategoria
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-sitemap
          select([(ngModel)]="tClasificacion4Actual",
                  (change)="Seleccionar_Clasificacion4()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tClasificacion4 of tClasificacion3Actual.LClasificacion4",
                    [ngValue]="tClasificacion4")  [ {{tClasificacion4.Codclasificacion4}} ] {{tClasificacion4.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalClasificacion4()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
  div.form-group.col-12.col-lg-6
    div.form-row.border-bottom-secondary.mb-2
      div.form-group.col-12
        h5.card-title.mb-0.text-gray-800
          span.fas.fa-industry.mr-2
          span Fabricante
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Fabricante
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-industry
          select([(ngModel)]="tFabricanteActual",
                  (change)="Seleccionar_Fabricante()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tFabricante of tFabricantes",
                    [ngValue]="tFabricante")  [ {{tFabricante.Codfabricante}} ] {{ tFabricante.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalFabricante()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Marca
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-certificate
          select([(ngModel)]="tMarcaActual",
                  (change)="Seleccionar_Marca()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tMarca of tFabricanteActual.LMarcas",
                    [ngValue]="tMarca")  [ {{tMarca.Codmarca}} ] {{ tMarca.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalMarca()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Modelo
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-tag
          select([(ngModel)]="tModeloActual",
                  (change)="Seleccionar_Modelo()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tModelo of tMarcaActual.LModelos",
                    [ngValue]="tModelo")  [ {{tModelo.Codmodelo}} ] {{ tModelo.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalModelo()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
